<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AcctGetMultiLoanData pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathAcctGetMultiLoanData extends AbstractStructBase
{
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The accountaccesstoken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $accountaccesstoken;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The loannumbers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfString
     */
    public $loannumbers;
    /**
     * The fieldids
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfString
     */
    public $fieldids;
    /**
     * Constructor method for AcctGetMultiLoanData
     * @uses PathAcctGetMultiLoanData::setVendorid()
     * @uses PathAcctGetMultiLoanData::setAccountaccesstoken()
     * @uses PathAcctGetMultiLoanData::setVendorpw()
     * @uses PathAcctGetMultiLoanData::setLoannumbers()
     * @uses PathAcctGetMultiLoanData::setFieldids()
     * @param string $vendorid
     * @param string $accountaccesstoken
     * @param string $vendorpw
     * @param \Path\pathArrayType\PathArrayOfString $loannumbers
     * @param \Path\pathArrayType\PathArrayOfString $fieldids
     */
    public function __construct($vendorid = null, $accountaccesstoken = null, $vendorpw = null, \Path\pathArrayType\PathArrayOfString $loannumbers = null, \Path\pathArrayType\PathArrayOfString $fieldids = null)
    {
        $this
            ->setVendorid($vendorid)
            ->setAccountaccesstoken($accountaccesstoken)
            ->setVendorpw($vendorpw)
            ->setLoannumbers($loannumbers)
            ->setFieldids($fieldids);
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathAcctGetMultiLoanData
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get accountaccesstoken value
     * @return string|null
     */
    public function getAccountaccesstoken()
    {
        return $this->accountaccesstoken;
    }
    /**
     * Set accountaccesstoken value
     * @param string $accountaccesstoken
     * @return \Path\pathStructType\PathAcctGetMultiLoanData
     */
    public function setAccountaccesstoken($accountaccesstoken = null)
    {
        // validation for constraint: string
        if (!is_null($accountaccesstoken) && !is_string($accountaccesstoken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($accountaccesstoken, true), gettype($accountaccesstoken)), __LINE__);
        }
        $this->accountaccesstoken = $accountaccesstoken;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathAcctGetMultiLoanData
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get loannumbers value
     * @return \Path\pathArrayType\PathArrayOfString|null
     */
    public function getLoannumbers()
    {
        return $this->loannumbers;
    }
    /**
     * Set loannumbers value
     * @param \Path\pathArrayType\PathArrayOfString $loannumbers
     * @return \Path\pathStructType\PathAcctGetMultiLoanData
     */
    public function setLoannumbers(\Path\pathArrayType\PathArrayOfString $loannumbers = null)
    {
        $this->loannumbers = $loannumbers;
        return $this;
    }
    /**
     * Get fieldids value
     * @return \Path\pathArrayType\PathArrayOfString|null
     */
    public function getFieldids()
    {
        return $this->fieldids;
    }
    /**
     * Set fieldids value
     * @param \Path\pathArrayType\PathArrayOfString $fieldids
     * @return \Path\pathStructType\PathAcctGetMultiLoanData
     */
    public function setFieldids(\Path\pathArrayType\PathArrayOfString $fieldids = null)
    {
        $this->fieldids = $fieldids;
        return $this;
    }
}
